package jp.co.student.springbootstudy.domain.model;

import java.util.Date;

public class Student {

	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.student.student_id
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	private String studentId;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.student.student_name
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	private String studentName;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.student.date_of_birth
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	private Date dateOfBirth;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.student.gender
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	private String gender;

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.student.student_id
	 * @return  the value of public.student.student_id
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	public String getStudentId() {
		return studentId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.student.student_id
	 * @param studentId  the value for public.student.student_id
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.student.student_name
	 * @return  the value of public.student.student_name
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	public String getStudentName() {
		return studentName;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.student.student_name
	 * @param studentName  the value for public.student.student_name
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.student.date_of_birth
	 * @return  the value of public.student.date_of_birth
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	public Date getDateOfBirth() {
		return dateOfBirth;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.student.date_of_birth
	 * @param dateOfBirth  the value for public.student.date_of_birth
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	public void setDateOfBirth(Date dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.student.gender
	 * @return  the value of public.student.gender
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	public String getGender() {
		return gender;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.student.gender
	 * @param gender  the value for public.student.gender
	 * @mbg.generated  Wed May 01 11:29:45 JST 2024
	 */
	public void setGender(String gender) {
		this.gender = gender;
	}
}